{# The systemd unit configuration file for run an Postgres container #}
[Unit]
Description=Db Container
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker stop db
ExecStartPre=-/usr/bin/docker rm db
{# ExecStartPre=/usr/bin/docker pull postgres:12.3 #}
ExecStart=/usr/bin/docker run --name db --network={{ docker_network_name }} --network-alias=db -p 5432:5432 -e POSTGRES_DB={{ db_name }} -e POSTGRES_USER={{ db_user }} -e POSTGRES_PASSWORD={{ db_password }} -v phrasee_pgdata:/var/lib/postgresql/data postgres:12.3

[Install]
WantedBy=multi-user.target
